## ros-noetic-ridgeback-navigation 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ridgeback_navigation)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

install(
DIRECTORY launch maps params
DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/include/amcl.launch)
  roslaunch_add_file_check(launch/amcl_demo.launch)
  roslaunch_add_file_check(launch/include/gmapping.launch)
  roslaunch_add_file_check(launch/gmapping_demo.launch)
  roslaunch_add_file_check(launch/include/move_base.launch)
  roslaunch_add_file_check(launch/odom_navigation_demo.launch)
endif()

=== debian/changelog ===
ros-noetic-ridgeback-navigation (0.3.2-1buster) buster; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.3.1-1buster) buster; urgency=high

  * Expose the scan_topic argument in the amcl and gmapping demos (#43 <https://github.com/ridgeback/ridgeback/issues/43>)
  * [Nav][AMCL] adds args to pass initial pose to AMCL
    This adds the ros launch arguments initial_pose_x, initial_pose_y and
    initial_pose_a which are passed through to the AMCL params of the same
    name.
    These args are defaulted to 0.0, 0.0, 0.0 as they were before so they
    should have no changing effects if not set.
    These args can be used to pre-seed the initial localization estimate.
    Which is useful when you know where in the map you've spawned the robot.
  * Contributors: Alex Moriarty, Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 12 Jan 2022 05:00:00 -0000

ros-noetic-ridgeback-navigation (0.3.0-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 19 May 2020 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.2.3-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-ridgeback-navigation (0.2.2-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.2.1-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.2.0-1buster) buster; urgency=high

  * Updated to Package format 2.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.10-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Jun 2017 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.9-1buster) buster; urgency=high

  * Changed amcl odom model type to omni-corrected.
  * Updated maintainer.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 17 Apr 2017 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.8-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Sep 2016 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.7-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.6-1buster) buster; urgency=high

  * Updated laser scan topic and robot footprint.  Also, enabled holonomic motion.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 25 May 2016 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.5-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 22 Apr 2016 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.4-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Apr 2016 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.3-1buster) buster; urgency=high

  * Removed CATKIN_IGNORE from ridgeback_navigation.
  * ridgeback_navigation: remove deprecated footprint layer
  * Simulation using gazebo_ros_force_based_move.
  * Contributors: Achim Krauch, Mike Purvis, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 02 Mar 2016 05:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.2-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Dec 2015 05:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.1-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 01 Dec 2015 05:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.0-1buster) buster; urgency=high

  * Initial ridgeback release.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 19 Nov 2015 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-ridgeback-navigation
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-ridgeback-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-amcl, ros-noetic-gmapping, ros-noetic-map-server, ros-noetic-move-base, ros-noetic-urdf, ros-noetic-xacro
Description: Launch files and code for autonomous navigation of the Ridgeback

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ridgeback-navigation//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-ridgeback-navigation 0.3.4

=== debian/changelog ===
ros-noetic-ridgeback-navigation (0.3.4-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 15 Jun 2023 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.3.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 20 Apr 2023 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.3.2-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.3.1-1focal) focal; urgency=high

  * Expose the scan_topic argument in the amcl and gmapping demos (#43 <https://github.com/ridgeback/ridgeback/issues/43>)
  * [Nav][AMCL] adds args to pass initial pose to AMCL
    This adds the ros launch arguments initial_pose_x, initial_pose_y and
    initial_pose_a which are passed through to the AMCL params of the same
    name.
    These args are defaulted to 0.0, 0.0, 0.0 as they were before so they
    should have no changing effects if not set.
    These args can be used to pre-seed the initial localization estimate.
    Which is useful when you know where in the map you've spawned the robot.
  * Contributors: Alex Moriarty, Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 12 Jan 2022 05:00:00 -0000

ros-noetic-ridgeback-navigation (0.3.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 19 May 2020 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.2.3-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-ridgeback-navigation (0.2.2-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.2.1-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.2.0-1focal) focal; urgency=high

  * Updated to Package format 2.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.10-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Jun 2017 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.9-1focal) focal; urgency=high

  * Changed amcl odom model type to omni-corrected.
  * Updated maintainer.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 17 Apr 2017 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.8-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Sep 2016 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.7-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.6-1focal) focal; urgency=high

  * Updated laser scan topic and robot footprint.  Also, enabled holonomic motion.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 25 May 2016 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.5-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 22 Apr 2016 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.4-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Apr 2016 04:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.3-1focal) focal; urgency=high

  * Removed CATKIN_IGNORE from ridgeback_navigation.
  * ridgeback_navigation: remove deprecated footprint layer
  * Simulation using gazebo_ros_force_based_move.
  * Contributors: Achim Krauch, Mike Purvis, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 02 Mar 2016 05:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.2-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Dec 2015 05:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.1-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 01 Dec 2015 05:00:00 -0000

ros-noetic-ridgeback-navigation (0.1.0-1focal) focal; urgency=high

  * Initial ridgeback release.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 19 Nov 2015 05:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
-Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
+Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch <!nocheck>
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
